Upgrading ESP32 Firmware

You MUST update the nina-fw version on your PyPortal before continuing with this guide. You will not be able to use the code in this guide successfully without performing this step.

The ESP32 on your PyPortal is running an older version of the firmware which runs on the ESP32 (named nina-fw). To use your PyPortal with AWS IoT, you'll need to update the ESP32's firmware the latest version of nina-fw.

Click the button below for the relevant steps on upgrading the ESP32 on your PyPortal and continue with the guide when you've successfully upgraded to nina-fw 1.4.0 or above.

This guide was first published on Oct 16, 2019. It was last updated on Oct 16, 2019. This page (Upgrading ESP32 Firmware) was last updated on Feb 05, 2020.